/*
 * $Id: Signal_get_connect_to_signal.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_connect_to_signal"
  Signal * Signal::get_connect_to_signal (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    Signal * _return = _connect_to_signal;

    while ((_return != NULL) and
	   (_return->get_direction () == INTERNAL))
      _return = _return->get_connect_to_signal();

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
